ubuntu 16.04 mongodb enterprise 3.4 安装中遇到的错误

错误一:

./mongod: error while loading shared libraries: libcurl.so.4: cannot open shared object file: No such file or directory
在启动./mongod 的时候缺少 libcurl.so 库

执行下面语句

apt-get install libcurl4-openssl-dev

错误二:
./mongod: error while loading shared libraries: libnetsnmpmibs.so.30: cannot open shared object file: No such file or directory

解决方法:

apt-get install snmpd snmp snmp-mibs-downloader

原因缺少 snmpd 相关的东西 。客户端服务端都给它装了。

阅读更多
文章标签: mongo
个人分类: golang 与mongodb 结合
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

ubuntu 16.04 mongodb enterprise 3.4 安装中遇到的错误

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭